解决andriod studio每次新建项目都要重新配置gradle的问题

(知道解决项目的gradle问题,想要解决andriod studio每次新建项目都要重新配置gradle的问题的直接看最后一段)

使用andriod studio出现Error:Unknown host 'services.gradle.org'. You may need to adjust the proxy settings in Gradle. 和Error:Unable to tunnel through proxy. Proxy returns "HTTP/1.1 400 Bad Request 等问题都是因为gradle的版本问题,解决这种问题通常的方法是点击File->Setting,然后按照下图,找到Use local gradle distribution

接着点击 Gradle home右边的三个小圆点,浏览你的andriod安装目录,具体见下图

选择正确的gradle版本,点击Ok,然后会返回第一张图,点击apply。

这时你不用担心正确的版本是哪一个,你随便选一个都可以,如果选择错误,会出现下图所示的提示

  

这时,根据提示选择Minimun supported Gradle version (最小支持版本) 或者该版本以上的版本就可以了。比如说,这里的最小支持版本是3.3,那么我们选择Gradle3.3以上的版本就可以。通过网址http://services.gradle.org/distributions/可以下载各个版本的gradle,你会发现gradle每个版本有多个可下载,我们选择以-all.zip结尾的文件下载。下载后解压文件到Andriod Studio安装目录下Andriod Studio\gradle\gradle-x.x下,比如我这里是D:\Android\Android Studio\gradle\gradle-3.3,这个gradle-x.x可以自己新建。其实如果你足够细心,会发现这里只是解决了本项目的gradle配置问题(Project-level)。

如果想永久解决Gradle版本不对的问题,而不是每次新建时都重新导入本地的gradle ,需要做的很简单,把下载的gradle-x.x-all.zip(这里的x.x指的是版本号)复制到C:\Users\你的用户名\.gradle\wrapper\dists\gradle-3.3-all\55gk2rcmfc6p2dg9u9ohc3hw9下就可以了,注意是把压缩包放在这个目录下,不需要解压!重启AS就可以了。

展开阅读全文

没有更多推荐了,返回首页